﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vehicles
{
    public class VehicleController
    {
        private IVehicle _Vehicle = null;

        public VehicleController(IVehicle vehicle)
        {
            _Vehicle = vehicle;
        }

        public void Go()
        {
            _Vehicle.Accelerate();
        }

        public void Stop()
        {
            _Vehicle.Decelerate();
        }

        public void Turn()
        {
            _Vehicle.ChangeDirection();
        }
    }
}
